# Appendix: Top-Break Common - Machining

#### Drill and Tap the Trunnion
These instructions apply to the CAFE series. The FP37 uses epoxy for fixing the barrel in place.

**DO NOT DRILL THE BARREL**

A fixture located at `Forend/TopBreak_CAFE12+/Fixtures/TrunnionFixture.stl`
can be used to help you drill and tap your own *Trunnion*.

Using a \#8-32 tap, thread the hole in the middle of the fixture.
Use a 1.5" \#8-32 to hold the *Trunnion* in place, like a set screw.
Now you're ready to drill and tap the holes.

**DO NOT DRILL THE BARREL**

Drill the holes out with a \#29 wire bit, start out very slowly so the drill bit doesn't
walk on the round surface.
Be sure to clear your chips early and often, use lots of cutting fluid.

**Tip:** Use a small end mill to put a flat on it first, if you have one.
This will prevent the drill bit from wandering.

Once you've finished drilling and tapping, ensure the inside of the *Trunnion* is
clear of chips and debris.

#### Cut the Extractor Slot
File out a 1/4" wide slot in the 6-O'clock position for the extractor bit.
Aim for a 45 degree angle 1/8" deep.

File this same notch in a matching location on the barrel. This is easiest to do
with the *Trunnion* installed on the barrel so you can do both at once.
A large square-edged file makes quick work of this operation but you can also
use a Dremel or angle grinder (and a lot of finesse).

**Tip:** Use a vise.

#### Extractor Crescent
The extractor bit needs a crescent shaped cutout to go around the cartridge.
If you're making just one or two, check-and-fit until a cartridge chambers snugly without binding.

A Dremel with a cylindrical grinding bit works best for DIY.
Use a dummy cartridge.

#### Drill and Tap the Latch Bars
Drill and tap (#8-32) the *Latch Bars* 1" from the end

#### Barrel Group
1. Insert the *Trunnion* into the rear of the *Cluster* and line up the threaded
holes on top.
2. Insert the *Barrel* into the front of the *Cluster*.
Extractor cutout-side first.
3. Headspace on a dummy cartridge.
The *Trunnion* should be flush and the *Barrel* slightly recessed.
4. Install the *Cluster Bolts*.
6. Install the *Foregrip Bolt* into the *Foregrip* and screw into the *Cluster*
from the bottom.
